Announcement Announcement Module
Collapse
No announcement yet.
Uses violation - ws.oxm with oxm Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Uses violation - ws.oxm with oxm

    We are trying to deploy an application that has a WS component in it; however, during the resolution time of the DM server we are facing conflicts. Has anyone faced this before or has any suggestions on approaching this problem? This is the Spring dm Server output:

    Code:
    [2010-06-15 11:08:52.671] http-8080-1                  <DE0000I> Installing bundle 'com.company.webapp' version '1.0.0'. 
    [2010-06-15 11:08:58.695] http-8080-1                  <ME0003I> Dump 'serviceability/dump/2010-06-15-11-08-378' generated 
    [2010-06-15 11:08:59.079] http-8080-1                  <DE0002E> Installation of bundle 'com.company.webapp' version '1.0.0' failed. com.springsource.kernel.osgi.framework.UnableToSatisfyBundleDependenciesException: Unable to satisfy dependencies of bundle 'com.company.webapp' at version '1.0.0': Cannot resolve: com.company.webapp
        Resolver report:
            Uses violation: <Import-Package: com.company.service.external; version="0.0.0"> in bundle <com.company.webapp_1.0.0>
                Found conflicts:
                    package        'org.springframework.oxm_1.5.9' in bundle 'org.springframework.bundle.ws.oxm_1.5.9' used by 'com.company.service.external_0.0.0' in bundle 'com.company-service_0.0.1.SNAPSHOT'
                    conflicts with 'org.springframework.oxm_3.0.2.RELEASE' in bundle 'org.springframework.oxm_3.0.2.RELEASE' used by 'org.springframework.oxm.support_3.0.2.RELEASE' in bundle 'org.springframework.oxm_3.0.2.RELEASE'
                    package        'org.springframework.oxm_1.5.9' in bundle 'org.springframework.bundle.ws.oxm_1.5.9' used by 'com.company.service.external_0.0.0' in bundle 'com.company-service_0.0.1.SNAPSHOT'
                    conflicts with 'org.springframework.oxm_3.0.2.RELEASE' in bundle 'org.springframework.oxm_3.0.2.RELEASE' used by 'org.springframework.http.converter.xml_3.0.2.RELEASE' in bundle 'org.springframework.web_3.0.2.RELEASE'
                    package        'org.springframework.oxm_1.5.9' in bundle 'org.springframework.bundle.ws.oxm_1.5.9' used by 'com.company.service.external_0.0.0' in bundle 'com.company-service_0.0.1.SNAPSHOT'
                    conflicts with 'org.springframework.oxm_3.0.2.RELEASE' in bundle 'org.springframework.oxm_3.0.2.RELEASE' used by 'org.springframework.oxm.castor_3.0.2.RELEASE' in bundle 'org.springframework.oxm_3.0.2.RELEASE'
                    package        'org.springframework.oxm_1.5.9' in bundle 'org.springframework.bundle.ws.oxm_1.5.9' used by 'com.company.service.external_0.0.0' in bundle 'com.company-service_0.0.1.SNAPSHOT'
                    conflicts with 'org.springframework.oxm_3.0.2.RELEASE' in bundle 'org.springframework.oxm_3.0.2.RELEASE' used by 'org.springframework.oxm.xmlbeans_3.0.2.RELEASE' in bundle 'org.springframework.oxm_3.0.2.RELEASE'
    ...
                    package        'javax.xml.stream.events_1.0.1' in bundle 'org.eclipse.osgi_3.5.1.R35x_v20091005' used by 'com.company.service.external_0.0.0' in bundle 'com.company-service_0.0.1.SNAPSHOT'
                    conflicts with 'javax.xml.stream.events_1.0.0.RELEASE' in bundle 'com.springsource.osgi.webcontainer.tomcat_1.0.0.RELEASE' used by 'javax.xml.stream_1.0.0.RELEASE' in bundle 'com.springsource.osgi.webcontainer.tomcat_1.0.0.RELEASE'
                    package        'javax.xml.stream.events_1.0.1' in bundle 'org.eclipse.osgi_3.5.1.R35x_v20091005' used by 'com.company.service.external_0.0.0' in bundle 'com.company-service_0.0.1.SNAPSHOT'
                    conflicts with 'javax.xml.stream.events_1.0.0.RELEASE' in bundle 'com.springsource.osgi.webcontainer.tomcat_1.0.0.RELEASE' used by 'javax.xml.stream.util_1.0.0.RELEASE' in bundle 'com.springsource.osgi.webcontainer.tomcat_1.0.0.RELEASE'
    
    
    	at com.springsource.kernel.install.pipeline.stage.resolve.internal.QuasiResolveStage.process(QuasiResolveStage.java:54)
    	at com.springsource.kernel.install.pipeline.internal.StandardPipeline.doProcessTree(StandardPipeline.java:71)
    	at com.springsource.kernel.install.pipeline.internal.CompensatingPipeline.doProcessTree(CompensatingPipeline.java:81)
    	at ...
    
    [2010-06-15 11:08:59.110] http-8080-1                  <DE0003E> Install failed for bundle 'com.company.webapp' version '1.0.0'. 
    [2010-06-15 11:08:59.119] http-8080-1                  <DE0500E> Unable to install application from URI 'file:/usr/local/springsource-dm-server-2.0.2.RELEASE/work/
    This is the section of the manifest file for the service bundle that is used the webapp:
    Code:
    Export-Package: com.company.service.external;uses:="javax.xml
     .namespace,org.springframework.ws.client.core,javax.xml.datatype,org.
     springframework.oxm"
    Built-By: paul
    Tool: Bnd-0.0.357
    Bundle-Name: GROW :: Application Service Layer
    Created-By: Apache Maven Bundle Plugin
    Build-Jdk: 1.6.0_20
    Bundle-Version: 0.0.1.SNAPSHOT
    Bnd-LastModified: 1276614406706
    Bundle-ManifestVersion: 2
    Bundle-License: http://www.apache.org/licenses/LICENSE-2.0.txt
    Bundle-SymbolicName: com.company-service
    Import-Package: com.company.model,com.company.persis
     t,javax.jws;version="2.0",javax.jws.soap;version="2.0",javax.xml.bind
     .annotation;version="2.1",javax.xml.datatype,javax.xml.namespace,java
     x.xml.ws;version="2.1",org.springframework.beans.factory.annotation;v
     ersion="2.5",org.springframework.security.core,org.springframework.st
     ereotype;version="2.5",org.springframework.ws.client.core;version="1.
     5"
    This is the section of the manifest file for the webapp bundle:
    Code:
    Manifest-Version: 1.0
    Archiver-Version: Plexus Archiver
    Created-By: 1.6.0_20 (Sun Microsystems Inc.)
    Built-By: paul
    Build-Jdk: 1.6.0_20
    Web-DispatcherServletUrlPatterns: *.xhtml
    Tool: Bnd-0.0.357
    Import-Library: org.springframework.spring;version="[3.0.0.RELEASE,3.0
     .2.RELEASE]"
    Web-ContextPath: /abc
    Import-Bundle: org.springframework.osgi.core;version="[1.2.1,1.2.1]",c
     om.springsource.server.web.dm,org.springframework.security.config;ver
     sion="[3.0.2.RELEASE,3.0.2.RELEASE]",org.springframework.security.cor
     e;version="[3.0.2.RELEASE,3.0.2.RELEASE]",org.springframework.securit
     y.taglibs;version="[3.0.2.RELEASE,3.0.2.RELEASE]",org.springframework
     .security.acls;version="[3.0.2.RELEASE,3.0.2.RELEASE]",org.springfram
     ework.security.web;version="[3.0.2.RELEASE,3.0.2.RELEASE]",com.spring
     source.org.apache.taglibs.standard;version="[1.1.2,1.1.2]"
    Module-Type: Web
    Bundle-Version: 1.0.0
    Bnd-LastModified: 1276614494229
    Bundle-ManifestVersion: 2
    Bundle-License: http://www.apache.org/licenses/LICENSE-2.0.txt
    Import-Package: com.company.model,com.company.persis
     t,com.company.service.external,javax.servlet.http,javax.serv
     let.jsp.jstl.core;version="[1.1.2,1.1.2]",org.apache.log4j,org.spring
     framework.oxm,org.springframework.stereotype;version="3.0",org.spring
     framework.ui;version="3.0",org.springframework.web.bind.annotation;ve
     rsion="3.0",org.springframework.web.servlet.view
    Bundle-SymbolicName: com.company.webapp
    All help is greatly appreciated.
    - Paul

  • #2
    fixed

    I resolved the issue by adding exclusions to the dependency inside the service object.

    Code:
    <dependency>
    		    <groupId>org.springframework.ws</groupId>
    		    <artifactId>spring-ws-core</artifactId>
    		    <version>${spring.ws.version}</version>
    		    <scope>provided</scope>
    		    <exclusions>
    		    	<exclusion>
    		    		<artifactId>spring-oxm</artifactId>
    		    		<groupId>org.springframework.ws</groupId>
    		    	</exclusion>
    		    </exclusions>
    		</dependency>

    - Paul

    Comment

    Working...
    X